Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 372693 - app-emulation/lxc ~arm keyword request
Summary: app-emulation/lxc ~arm keyword request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Gentoo ARM Porters
URL:
Whiteboard:
Keywords: KEYWORDREQ
Depends on:
Blocks:
 
Reported: 2011-06-23 17:23 UTC by Gavin Pryke
Modified: 2013-09-10 05:23 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
lxc-0.7.4.1-configure-on-arm.patch (lxc-0.7.4.1-configure-on-arm.patch,334 bytes, patch)
2011-06-23 17:26 UTC, Gavin Pryke
Details | Diff
lxc-0.7.4.1-r1.ebuild-arm.patch (lxc-0.7.4.1-r1.ebuild-arm.patch,707 bytes, patch)
2011-06-23 17:26 UTC, Gavin Pryke
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gavin Pryke 2011-06-23 17:23:51 UTC
Previous versions of app-emulation/lxc emerged fine by accepting ** keywords on arm arch, 0.7.4.1-r1 however fails emerge and needs a small patch. Requesting ~arm keyword please if possible.

Reproducible: Always




Compiles and executes on my Sheevaplug. Created and started a Debian arm instance and it boote and shutdown successfully.

$ emerge --info
Portage 2.1.9.42 (default/linux/arm/10.0/server, gcc-4.4.5, libc-0-r0, 2.6.38.7 armv5tel)
=================================================================
System uname: Linux-2.6.38.7-armv5tel-Feroceon_88FR131_rev_1_-v5l-with-gentoo-2.0.2
Timestamp of tree: Wed, 22 Jun 2011 04:45:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     4.1_p9
dev-lang/python:     2.6.6-r2, 2.7.1-r1
dev-util/ccache:     2.4-r9
dev-util/cmake:      2.8.4-r1
sys-apps/baselayout: 2.0.2
sys-apps/openrc:     0.8.2-r1
sys-apps/sandbox:    2.4
sys-devel/autoconf:  2.65-r1
sys-devel/automake:  1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.4.5
sys-devel/gcc-config: 1.4.1-r1
sys-devel/libtool:   2.2.10
sys-devel/make:      3.82
sys-kernel/linux-headers: 2.6.36.1
sys-libs/glibc:      2.11.3
virtual/os-headers:  0
ACCEPT_KEYWORDS="arm"
ACCEPT_LICENSE="* -@EULA"
CBUILD="armv5tel-softfloat-linux-gnueabi"
CFLAGS="-O2 -march=armv5te -ggdb -pipe"
CHOST="armv5tel-softfloat-linux-gnueabi"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -march=armv5te -ggdb -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs buildsyspkg ccache collision-protect distlocks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox"
FFLAGS=""
GENTOO_MIRRORS="http://gentoo.tiscali.nl/ http://de-mirror.org/distro/gentoo/ http://gentoo.mneisen.org/ http://gentoo.wheel.sk/"
LANG="en_GB.UTF-8"
LDFLAGS="-Wl,--hash-style=gnu -Wl,-O1 -Wl,--as-needed"
LINGUAS="en en_GB"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/mnt/gentoo-overlays/misc"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="acl apache2 arm bash-completion berkdb bzip2 cli cracklib crypt cups cxx dbus gdbm gnutls gpm iconv modules mudflap ncurses nls nptl nptlonly pam pcre pppd readline session snmp sockets ssl subversion sysfs tcpd truetype unicode usb vim-syntax xattr xml xorg zlib" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="braindump flow karbon kexi kpresenter krita tables words" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_GB" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="fbdev omapfb dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Gavin Pryke 2011-06-23 17:26:13 UTC
Created attachment 277893 [details, diff]
lxc-0.7.4.1-configure-on-arm.patch
Comment 2 Gavin Pryke 2011-06-23 17:26:55 UTC
Created attachment 277895 [details, diff]
lxc-0.7.4.1-r1.ebuild-arm.patch
Comment 3 Andrey Hippo 2011-08-18 11:15:53 UTC
(In reply to comment #1)
> Created attachment 277893 [details, diff]
> lxc-0.7.4.1-configure-on-arm.patch

Similar patch is already merged upstream [1] and is available as of version 0.7.5 (which is not in portage yet).

[1] http://lxc.git.sourceforge.net/git/gitweb.cgi?p=lxc/lxc;a=commitdiff;h=e7eb632cb4365d800939ab20021920468c1ce7db
Comment 4 Gavin Pryke 2011-12-07 15:01:10 UTC
current version 0.7.5-r3 in portage emerges fine on arm, ran debian instance for a bit and seems to work. Hope to get this up and running more for sandboxing some debian and gentoo installs when I get more time, have 2 pandaboards laying here...

$ eix lxc
[I] app-emulation/lxc
     Available versions:  (~*)0.7.4.1-r1[1] (~*)0.7.5-r3 {doc examples vanilla}
     Installed versions:  0.7.5-r3(09:00:43 18/11/11)(-examples -vanilla)

$ emerge --info
Portage 2.1.10.11 (default/linux/arm/10.0/server, gcc-4.5.3, glibc-2.12.2-r0, 3.1.0 armv5tel)
=================================================================
System uname: Linux-3.1.0-armv5tel-Feroceon_88FR131_rev_1_-v5l-with-gentoo-2.0.3
Timestamp of tree: Wed, 07 Dec 2011 02:15:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:          4.1_p9
dev-lang/python:          2.6.6-r2, 2.7.2-r3
dev-util/ccache:          2.4-r9
dev-util/cmake:           2.8.4-r1
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.0.3
sys-apps/openrc:          0.8.3-r1
sys-apps/sandbox:         2.4
sys-devel/autoconf:       2.68
sys-devel/automake:       1.11.1
sys-devel/binutils:       2.20.1-r1
sys-devel/gcc:            4.5.3-r1
sys-devel/gcc-config:     1.4.1-r1
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r1
sys-kernel/linux-headers: 2.6.39 (virtual/os-headers)
sys-libs/glibc:           2.12.2
Repositories: gentoo x-misc
ACCEPT_KEYWORDS="arm"
ACCEPT_LICENSE="* -@EULA"
CBUILD="armv5tel-softfloat-linux-gnueabi"
CFLAGS="-O2 -march=armv5te -ggdb -pipe"
CHOST="armv5tel-softfloat-linux-gnueabi"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -march=armv5te -ggdb -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs buildsyspkg ccache collision-protect distlocks ebuild-locks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS=""
GENTOO_MIRRORS="http://mirror.qubenet.net/mirror/gentoo/ http://mirror.bytemark.co.uk/gentoo/ http://ftp.heanet.ie/pub/gentoo/"
LANG="en_GB.UTF-8"
LDFLAGS="-Wl,--hash-style=gnu -Wl,-O1 -Wl,--as-needed"
LINGUAS="en en_GB"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/mnt/gentoo-overlays/misc"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="acl apache2 arm bash-completion berkdb bzip2 cli cracklib crypt cups cxx fortran gdbm gnutls gpm iconv modules mudflap ncurses nls nptl nptlonly pam pcre pppd readline session sockets ssl subversion sysfs tcpd truetype unicode usb vim-syntax xattr xml xorg zlib" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_GB" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="fbdev omapfb dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 5 Markus Meier gentoo-dev 2013-09-10 05:23:11 UTC
~arm added, compiles without issues. closing.